aboutsummaryrefslogtreecommitdiffstats
path: root/package/firewall/files
diff options
context:
space:
mode:
authorJo-Philipp Wich <jow@openwrt.org>2012-02-23 18:50:47 +0000
committerJo-Philipp Wich <jow@openwrt.org>2012-02-23 18:50:47 +0000
commitfe2d387a8c333db386df1df64c5870b33b436ee9 (patch)
tree0595b8f248393273bf74c74c8c450cc5e7312482 /package/firewall/files
parentc3d47454b29682a55ee730e2a90156d3e3bc2543 (diff)
downloadupstream-fe2d387a8c333db386df1df64c5870b33b436ee9.tar.gz
upstream-fe2d387a8c333db386df1df64c5870b33b436ee9.tar.bz2
upstream-fe2d387a8c333db386df1df64c5870b33b436ee9.zip
firewall: bail out if uci is used in firewall include files
SVN-Revision: 30694
Diffstat (limited to 'package/firewall/files')
-rw-r--r--package/firewall/files/lib/core_init.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/package/firewall/files/lib/core_init.sh b/package/firewall/files/lib/core_init.sh
index e93de1613f..035647998e 100644
--- a/package/firewall/files/lib/core_init.sh
+++ b/package/firewall/files/lib/core_init.sh
@@ -288,7 +288,13 @@ fw_load_include() {
local path
config_get path ${name} path
- [ -e $path ] && ( . $path )
+ [ -e $path ] && (
+ config() {
+ fw_log error "You cannot use UCI in firewall includes!" >&2
+ exit 1
+ }
+ . $path
+ )
}